+++
author = "Yann Verry"
date = 2020-05-06T07:42:00Z
description = ""
draft = false
slug = "disney"
title = "Disney+ under the hood"

+++


Le service du petit nouveau est (enfin) sorti malgré un retard à l'allumage suite à SARS-CoV-2.

Petite analyse du fonctionnement de disney+.

## Hébergement



La plateforme de disneyplus est hébergée sur AWS, en mode multi region dans au moins les régions suivantes:

* eu-central-1 (frankfurt)
* us-east-1 (virginie du nord)
* us-west-2 (Oregon)

Ceci est détectable via le header:

> x-bamtech-region

du host global.edge.bamgrid.com (cloudfront)

La géolocalisation est confiée à [onetrust](https://geolocation.onetrust.com/cookieconsentpub/v1/geo/countrycode)



Côté API, graphQL partout avec quasi que: [https://global.edge.bamgrid.com/dust](https://global.edge.bamgrid.com/dust)

Analytics: sanalytics.disneyplus.com (adobe omtrdc)

### Environnement

La plateforme d+ utilise plusieurs environnements:

* La classique dev: *.dev.dssott.com
* de la QA *.qa.dssott.com
* La prod caché du publique: *.prod.dssott.com utile avant le lancement de la plateforme

### Player



Côté player, tout les assets sont chargés depuis playback-certs.bamgrid.com qui est une distribution cloudfront backé derrière un bucket S3 hébergé en us-east-1 avec un bucket S3 répliqué ( x-amz-replication-status : COMPLETED)

Nous avons du M3U8 donc du HLS

Sur la DRM je vois du playready de microsoft

### CDN



J'ai pour ma part obtenu [vod-akc-eu-south-1.media.dssott.com](__GHOST_URL__/p/ef19ebf0-f22c-4e9a-b90d-2aa2936b7fd9/vod-akc-eu-south-1.media.dssott.com) qui est akamai (en ce moment)

La connexion entre le CDN et son origine s’effectue en HTTP 

> CDN-Origin-Protocol: HTTP

Nous avons du varnish, du nginx et après la couche akamai, les fragments sont conservé en cache pendant 7jours

L'origine est situé à amsterdam, nginx17.vod01.hls.disney.**ams1**.prod.bamtech.co

Quelques certificats indique une dev qui apparaît publiquement le 16/09/2019

Le nom de domaine dssott.com est utilisé depuis le 18/07/2018

Le CSP (Customer Support Portal) est lui géré par servicenow.com

## Divers

Disney utilise les technologies de viptela (sd-wan) Vmanage NMS

